<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function notes(){

    $inCore = cmsCore::getInstance();
    $inPage = cmsPage::getInstance();
    $inDB   = cmsDatabase::getInstance();
	$inUser = cmsUser::getInstance();

    global $_LANG;

    $inCore->loadModel('notes');
    $model = new cms_model_notes();

	
	$cfg = $inCore->loadComponentConfig('notes');
	//    
	if(!$cfg['component_enabled']) { cmsCore::error404(); }

	$id 	= $inCore->request('id', 'int', 0);
	$do		= $inCore->request('do', 'str', 'view');
	$page	= $inCore->request('page', 'int', 1);
		
		if(!isset($cfg['perpage'])) { $cfg['perpage'] = 10; }
		if(!isset($cfg['images'])) { $cfg['images'] = 0; }
	
if ($_SESSION['user']['id']==0)
{
	echo "    ";
}
else
{
if ($do=='view_note'){
	
	$note=$model->getNote($id);
	
	$smarty = $inCore->initSmarty('components', 'com_notes_view.tpl');
	$smarty->assign('is_posts_view', (bool)sizeof($note));
	$smarty->assign('pagetitle', $note[title]);
	$smarty->assign('content', $note[content]); 
    $smarty->display('com_notes_view.tpl');
	
	
}


if ($do=='del'){
	
	$del=$model->delNote($id);
	
		$inCore->redirect('/notes/');

}

if ($do=='view'){
	
	
	$total_notes=$model->totalPosts();

	$pagination = cmsPage::getPagebar($total_notes, $page, $cfg['perpage'], '/notes/page%page%.html');
	//global $_LANG;
	
	 //GET ENTRIES
     $posts_list = $model->getAllPosts($page, $cfg['perpage']);
     
	if ($posts_list){
    foreach($posts_list as $post){
     $post['datetime']	= $inCore->dateFormat($post['datetime'],1,0,1);
     $posts[]            = $post;
            }
    }
	
	$smarty = $inCore->initSmarty('components', 'com_notes_view.tpl');
	$smarty->assign('is_posts', (bool)sizeof($posts_list));
	$smarty->assign('pagination', $pagination);
	$smarty->assign('pagetitle', " ");
	if ($posts) { $smarty->assign('posts', $posts); }
    $smarty->display('com_notes_view.tpl');
}


if ($do=='add_note'){
		$user_id 		= $inUser->id;
		
		$title   = $inCore->request('title', 'str', '');
		if(!empty($title))
		{
		$describe_full   = $inCore->request('full', 'html', '');
		// bb-    
        $describe_full_html   = $inCore->parseSmiles($describe_full, true);
		//   
        $describe_full_html   = $inDB->escape_string($describe_full_html);
        
       $sql="INSERT INTO `cms_notes` (
			`id` ,
			`datetime` ,
			`title` ,
			`content` ,
			`user` ,
			`type` 
			)
			VALUES (
			NULL , NOW(), '".$title."', '".$describe_full_html."', '".$user_id."', '0'
			);"; 
	   $result = $inDB->query($sql);
	   
	   $inCore->redirect('/notes/');
	    }
        

	
	$bb_toolbar = cmsPage::getBBCodeToolbar('message',$cfg['images'], 'notes');
    $smilies    = cmsPage::getSmilesPanel('message');
	$smarty = $inCore->initSmarty('components', 'com_notes_add.tpl');
	$smarty->assign('title', " ");
	$smarty->assign('bb_toolbar', $bb_toolbar);
    $smarty->assign('smilies', $smilies);
    $smarty->display('com_notes_add.tpl');
}


		
}

echo "<p align='right' style='color:#7bb1c2;font-size:10px;font-family:Tahoma;'> : <a href='http://www.svb28.ru' style='color:#7bb1c2;font-size:10px;font-family:Tahoma;' title='   '>svb28.ru</a></p>";


/////////////////////////////////////////////////
$inCore->executePluginRoute($do);
} //function
?>